=== modified file 'bzrlib/hooks.py'
--- bzrlib/hooks.py	2011-03-01 15:18:41 +0000
+++ bzrlib/hooks.py	2011-03-30 11:50:40 +0000
@@ -115,7 +115,7 @@
     FOO hook is triggered.
     """
 
-    def __init__(self, module, member_name):
+    def __init__(self, module=None, member_name=None):
         """Create a new hooks dictionary.
 
         :param module: The module from which this hooks dictionary should be loaded

=== modified file 'bzrlib/status.py'
--- bzrlib/status.py	2011-03-30 11:45:54 +0000
+++ bzrlib/status.py	2011-03-30 11:50:40 +0000
@@ -462,4 +462,7 @@
 
 hooks = StatusHooks()
 
-hooks.install_named_hook('post_status', _show_shelve_summary, 'bzr status')
+
+hooks.install_named_hook('post_status', _show_shelve_summary,
+    'bzr status')
+

=== modified file 'bzrlib/tests/test_hooks.py'
--- bzrlib/tests/test_hooks.py	2011-03-03 03:06:48 +0000
+++ bzrlib/tests/test_hooks.py	2011-03-30 11:50:40 +0000
@@ -228,7 +228,7 @@
                 "The factory(%r) for %r is not callable" % (factory, key))
             obj = known_hooks_key_to_object(key)
             self.assertIsInstance(obj, Hooks)
-            new_hooks = factory(key[0], key[1])
+            new_hooks = factory()
             self.assertIsInstance(obj, Hooks)
             self.assertEqual(type(obj), type(new_hooks))
             self.assertEqual("No hook name", new_hooks.get_hook_name(None))

=== modified file 'doc/en/release-notes/bzr-2.4.txt'
--- doc/en/release-notes/bzr-2.4.txt	2011-03-30 10:59:26 +0000
+++ doc/en/release-notes/bzr-2.4.txt	2011-03-30 11:50:40 +0000
@@ -56,6 +56,9 @@
 .. Changes that may require updates in plugins or other code that uses
    bzrlib.
 
+* ``Hooks.create_hook`` is now deprecated in favour of ``Hooks.add_hook``.
+  (Jelmer Vernooij)
+
 Internals
 *********
 
@@ -319,9 +322,6 @@
 * ``HookPoint.lazy_hook`` and ``Hooks.install_named_lazy_hook`` can install 
   hooks for which the callable is loaded lazily.  (Jelmer Vernooij)
 
-* ``Hooks.create_hook`` is now deprecated in favour of ``Hooks.add_hook``.
-  (Jelmer Vernooij)
-
 Testing
 *******
 

